gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: merge shell scripts


From: gnunet
Subject: [taler-deployment] branch master updated: merge shell scripts
Date: Sun, 15 Dec 2019 16:33:45 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 6b96a6d  merge shell scripts
6b96a6d is described below

commit 6b96a6d59c90ae1363732ddb9bcee14a0b8ff21f
Author: Christian Grothoff <address@hidden>
AuthorDate: Sun Dec 15 16:33:43 2019 +0100

    merge shell scripts
---
 bootstrap-buildmaster            | 25 -------------------------
 buildbot/make-buildbot-master.sh | 37 ++++++++++++++++++++++++++++---------
 2 files changed, 28 insertions(+), 34 deletions(-)

diff --git a/bootstrap-buildmaster b/bootstrap-buildmaster
deleted file mode 100755
index 793c2bf..0000000
--- a/bootstrap-buildmaster
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/bin/bash
-
-# Bootstrap the Taler setup for the buildmaster.
-
-set -eu
-
-BRANCH=master
-REPOS="deployment"
-
-cd $HOME
-
-for component in $REPOS; do
-  if ! test -d $HOME/$component; then
-    git clone git://git.taler.net/$component.git
-  fi
-done
-
-for component in $REPOS; do
-  echo "Checking out $component to $BRANCH"
-  git -C $HOME/$component checkout $BRANCH
-done
-
-if [[ ! -d worker ]]; then
-  buildbot-worker create-worker --umask=0o22 ~/worker localhost:9989 
buildmaster-worker buildmaster-pass
-fi
diff --git a/buildbot/make-buildbot-master.sh b/buildbot/make-buildbot-master.sh
index 07eaa56..b4fbfbb 100755
--- a/buildbot/make-buildbot-master.sh
+++ b/buildbot/make-buildbot-master.sh
@@ -1,20 +1,39 @@
 #!/bin/bash
 
+# Bootstrap the Taler setup for the buildmaster.
+
+set -eu
+
 if ! test "buildbot-master" = $(whoami); then
   echo Only run as the 'buildbot-master' user.
   exit 1
 fi
 
 cd
-if test -d ./master; then
-  echo 'master' base directory exists, not touching it and exiting.
-  exit 0
-fi
 
-if ! test -d $HOME/deployment; then
-  git clone git://git.taler.net/deployment.git
+BRANCH=master
+REPOS="deployment"
+
+cd $HOME
+
+for component in $REPOS; do
+  if ! test -d $HOME/$component; then
+    git clone git://git.taler.net/$component.git
+  fi
+done
+
+for component in $REPOS; do
+  echo "Checking out $component to $BRANCH"
+  git -C $HOME/$component checkout $BRANCH
+done
+
+if [[ ! -d ./master ]]; then
+    buildbot create-master master
+    cd master
+    ln -s ../deployment/buildbot/master.cfg
+    cd ..
 fi
 
-buildbot create-master master
-cd master
-ln -s ../deployment/buildbot/master.cfg
+if [[ ! -d worker ]]; then
+  buildbot-worker create-worker --umask=0o22 ~/worker localhost:9989 
buildmaster-worker buildmaster-pass
+fi

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]